/*
 * Copyright 2000-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jetspeed.portlets.security;

/**
 * <p>
 * Common resources used by the security applications.
 * </p>
 * 
 * @author <a href="dlestrat@apache.org">David Le Strat</a>
 */
public class SecurityApplicationResources
{
    /** The role manager component. */
    public final static String CPS_ROLE_MANAGER_COMPONENT = "cps:RoleManager";
    
    /** The user manager component. */
    public static final String CPS_USER_MANAGER_COMPONENT = "cps:UserManager";
    
    /** Role tree table binding variable. */
    public static final String ROLE_TREE_TABLE = "roleTreeTable";

}
