/*
 * Copyright 2000-2001,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jetspeed.prefs.util.test;

import org.apache.jetspeed.components.util.DatasourceEnabledSpringTestCase;
import org.apache.jetspeed.prefs.PreferencesProvider;
import org.apache.jetspeed.prefs.PropertyManager;

/**
 * <p>
 * AbstractPrefsSupportedTestCase
 * </p>
 * <p>
 *
 * </p>
 * @author <a href="mailto:weaver@apache.org">Scott T. Weaver</a>
 * @version $Id: AbstractPrefsSupportedTestCase.java,v 1.1 2004/10/29 13:59:18 weaver Exp $
 *
 */
public class AbstractPrefsSupportedTestCase extends DatasourceEnabledSpringTestCase
{   
    protected PropertyManager propertyManager;
    protected PreferencesProvider prefsProvider;

    protected String[] getConfigurations()
    {
        return new String[]{"META-INF/prefs-noprop-dao.xml", "META-INF/transaction.xml"};
    }
    
    protected void setUp() throws Exception
    {
        super.setUp();
        prefsProvider = (PreferencesProvider) ctx.getBean("prefsProvider");
        propertyManager = (PropertyManager) ctx.getBean("propertyManager");
    }
}
