/*
 * Copyright 2000-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jetspeed.capabilities;

/**
 * MimeType
 *
 * @author <a href="mailto:taylor@apache.org">David Sean Taylor</a>
 * @version $Id: MimeType.java,v 1.1 2004/05/28 18:51:55 weaver Exp $
 */
public interface MimeType
{
    /**
     * Set MimetypeId
     * 
     * @param id
     */
    public void setMimetypeId(int id);
    
    /**
     * Get CapabilityId
     * 
     * @return capabilityId
     */
    public int getMimetypeId();
    
    /**
     * Set Capability name
     * 
     * @param name
     */
    public void setName(String name);
    
    /**
     * Get CapabilityId
     * 
     * @return capability string
     */
    public String getName();    
}
