/*
 * Copyright 2000-2001,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jetspeed.components.portletentity;

import org.apache.jetspeed.exception.JetspeedException;

/**
 * <p>
 * PortletEntityNotStoredException
 * </p>
 * 
 * @author <a href="mailto:weaver@apache.org">Scott T. Weaver</a>
 * @version $Id: PortletEntityNotStoredException.java,v 1.1 2004/06/05 05:09:29 taylor Exp $
 *
 */
public class PortletEntityNotStoredException extends JetspeedException
{

    /**
     * 
     */
    public PortletEntityNotStoredException()
    {
        super();        
    }

    /**
     * @param message
     */
    public PortletEntityNotStoredException(String message)
    {
        super(message);        
    }

    /**
     * @param nested
     */
    public PortletEntityNotStoredException(Throwable nested)
    {
        super(nested);        
    }

    /**
     * @param msg
     * @param nested
     */
    public PortletEntityNotStoredException(String msg, Throwable nested)
    {
        super(msg, nested);        
    }

}
