/*
 * Copyright 2000-2001,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jetspeed.om.folder;

import java.util.Vector;

import org.apache.jetspeed.om.page.Document;

/**
 * <p>
 * DocumentSet objects used to specify unstructured/logical navigation folders.
 * </p>
 *
 * @author <a href="mailto:rwatler@finali.com">Randy Watler</a>
 * @version $Id: DocumentSet.java,v 1.2 2004/10/21 02:30:00 taylor Exp $
 *
 */
public interface DocumentSet extends Document
{
    String DOCUMENT_TYPE = ".ds";
    
    String getProfileLocatorName();
    
    void setProfileLocatorName(String locatorName);

    Vector getDocumentPaths();
    
    void setDocumentPaths(Vector paths);

    Vector getDefaultedDocumentPaths();
}
