/*
 * Copyright 2000-2001,2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jetspeed.tools.pamanager.servletcontainer;

/**
 * ApplicationServerManagerResult
 *
 * @author <a href="mailto:ate@douma.nu">Ate Douma</a>
 * @version $Id: ApplicationServerManagerResult.java,v 1.2 2005/03/23 22:18:41 ate Exp $
 */
public class ApplicationServerManagerResult
{
    private boolean ok;
    private String  message;
    private String  response;
    
    public ApplicationServerManagerResult(boolean ok, String message, String response)
    {
        this.ok = ok;
        this.message = message;
        this.response = response;
    }
    
    public boolean isOk()
    {
        return ok;
    }
    
    public String getMessage()
    {
        return message;
    }
    
    public String getResponse()
    {
        return response;
    }
}
